SND_PCM_NEW(9)

NAME
snd_pcm_new - create a new PCM instance

SYNOPSIS

int snd_pcm_new (struct snd_card * card, char * id, int device, int playback_count, int capture_count, struct snd_pcm ** rpcm);

ARGUMENTS

card
    the card instance

id  the id string

device
    the device index (zero based)

playback_count
    the number of substreams for playback

capture_count
    the number of substreams for capture

rpcm
    the pointer to store the new pcm instance

DESCRIPTION

Creates a new PCM instance.

The pcm operators have to be set afterwards to the new instance via snd_pcm_set_ops.

Returns zero if successful, or a negative error code on failure.